# Class Geometry.LineString

java.lang.Object
uk.ac.starlink.tfcat.TfcatObject
uk.ac.starlink.tfcat.Geometry<Position[]>
uk.ac.starlink.tfcat.Geometry.LineString

Enclosing class:
  `Geometry<S>`

public static class Geometry.LineString extends Geometry<Position[]>
Geometry subclass representing a TFCat LineString.

Since:
  9 Feb 2022
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Geometry

`Geometry.GeometryCollection, Geometry.LineString, Geometry.MultiLineString, Geometry.MultiPoint, Geometry.MultiPolygon, Geometry.Point, Geometry.Polygon`

## Method Summary

### Methods inherited from class Geometry

`getShape, purgeJson`

### Methods inherited from class TfcatObject

`getBbox, getCrs, getJson, getParent, getType`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`